Subject: Re: linux-next: build failure after merge of the ida tree

From: Pablo Neira Ayuso <[email-masked]>
Date: Wed, 18 Jul 2018 15:25:52 +0200

On Wed, Jul 18, 2018 at 04:59:19AM -0700, Matthew Wilcox wrote:
> On Wed, Jul 18, 2018 at 11:24:26AM +0200, Pablo Neira Ayuso wrote:
> > I see, we have no more lockless API for IDA anymore :-(. In our case,
> > we were already protected by the the nfnl_lock mutex, which it was
> > sufficient to ensure non-concurrent access to IDA structures.
> 
> You're actually the first user for whom this is true.  For every other
> user, the requirement to manage their own spinlock was a pain.
> 
> > Unless I'm missing anything, the new API forces use to the spinlock
> > call with disabled irq for each time we update something from the
> > netfilter netlink interface, so that's a no-go for us.
> 
> I can't believe that's a serious problem for you, though.  You're calling
> sscanf(), this can't possibly be a performance path.

It's not about performance, this is control plane code. This is
disabling irqs, which is something we don't need.